Package org.apache.lucene.store

# Class NoLockFactory

java.lang.Object
org.apache.lucene.store.LockFactory
org.apache.lucene.store.NoLockFactory

public final class NoLockFactory extends LockFactory
Use this `LockFactory` to disable locking entirely. This is a singleton, you have to use `INSTANCE`.

See Also:
  - `LockFactory`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final NoLockFactory`
  `INSTANCE`
  The singleton

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Lock`
  `obtainLock(Directory dir, String lockName)`
  Return a new obtained Lock instance identified by lockName.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final NoLockFactory INSTANCE
    The singleton

- ## Method Details

  - ### obtainLock

    public Lock obtainLock(Directory dir, String lockName)
    Description copied from class: `LockFactory`
    Return a new obtained Lock instance identified by lockName.
    Specified by:
      `obtainLock` in class `LockFactory`
    Parameters:
      `lockName` - name of the lock to be created.